Subject: 2nd Working Group Last Call: draft-ietf-httpbis-rand-access-live-03

From: Mark Nottingham <[email-masked]>
Date: Thu, 5 Apr 2018 11:10:28 +1000

Everyone,

We've been through an extended WGLC for this document. The editors have incorporated feedback and published a new version:
  https://tools.ietf.org/html/draft-ietf-httpbis-rand-access-live-03

Changes from the last WGLC:
  https://tools.ietf.org/rfcdiff?url2=draft-ietf-httpbis-rand-access-live-03.txt

Because the diff is not trivial (see 3.2. Shift Buffer Representations), we're having a second WGLC, ending on 19-04-2018.

Please send feedback, statements of support or otherwise to the mailing list, or open new issues. If you spoke up during the 1st WGLC to support this, we'd appreciate hearing from you again.

Regards,

--
Mark Nottingham   https://www.mnot.net/

---

From: Matthew Kerwin <[email-masked]>
Date: Sun, 8 Apr 2018 10:09:05 +1000

> Please send feedback, statements of support or otherwise to the mailing list, or open new issues. If you spoke up during the 1st WGLC to support this, we'd appreciate hearing from you again.

The new chunk of text in 3.2 seems to address the big concern I had,
about shift buffer representations.  The earlier references (including
ABNF) are also appreciated.

I assume the RFC editor will deal with the capitalisation of "Very
Large Value" vs "very large value". I'm still not sure about the
double-caret exponentiation syntax, though: I've never seen it written
like "2^^63" or "2^^53".  Is this a thing?

Cheers
-- 
  Matthew Kerwin
  https://matthew.kerwin.net.au/

---

From: Julian Reschke <[email-masked]>
Date: Fri, 13 Apr 2018 17:44:13 +0200

> Please send feedback, statements of support or otherwise to the mailing list, or open new issues. If you spoke up during the 1st WGLC to support this, we'd appreciate hearing from you again.

Here's yet another editorial nit: the draft sometimes uses lowercase 
BCP14 keywords.

To avoid confusion, they should get reviewed and either uppercased or 
changed to something else.

Alternatively, Section 1.1 could invoke the "new" boilerplate, as in:

"The key words “MUST”, “MUST NOT”, “REQUIRED”, “SHALL”, “SHALL NOT”, 
“SHOULD”, “SHOULD NOT”, “RECOMMENDED”, “NOT RECOMMENDED”, “MAY”, and 
“OPTIONAL” in this document are to be interpreted as described in BCP 14 
[RFC2119] [RFC8174] when, and only when, they appear in all capitals, as 
shown here."

...in which case we still need to check which need to get uppercased.

Best regards, Julian